package com.example.mynotepad.MenuFeatures.AllNotes.Note;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.Toast;

import com.example.mynotepad.MenuFeatures.AllNotes.AllNotesActivity;
import com.example.mynotepad.MenuFeatures.AllNotes.NotesDataBase.Note;
import com.example.mynotepad.R;
import com.google.android.material.floatingactionbutton.FloatingActionButton;

/**
 * A simple {@link Fragment} subclass.
 * create an instance of this fragment.
 */
public class NoteFragment extends Fragment {
    private Note note;
    private EditText titleTxt, bodyTxt;
    private FloatingActionButton back;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        final View v = inflater.inflate(R.layout.fragment_note, container, false);
        init(v);
        return v;
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        setTitleAndBodyTxt();
    }

    private void init(View view) {
        back = view.findViewById(R.id.backBtn);
        titleTxt = view.findViewById(R.id.myTitle);
        bodyTxt = view.findViewById(R.id.textBody);

        back.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                showAlert();
            }
        });

    }

    private void showAlert() {
        final AlertDialog.Builder alert = new AlertDialog.Builder(getContext());
        alert.setTitle("new note :");
        alert.setMessage("Do you want to save the note ?");
        alert.setCancelable(true);
        alert.setPositiveButton("yes", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialogInterface, int i) {
                saveNote();
                Toast.makeText(getActivity(), "saved", Toast.LENGTH_SHORT).show();
                getActivity().finish();
            }
        });


        alert.setNegativeButton("no", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialogInterface, int i) {
                dialogInterface.cancel();
                if (getActivity() != null)
                    getActivity().finish();
            }
        });
        alert.show();
    }


    private void saveNote() {
        note = new Note(titleTxt.getText().toString(), bodyTxt.getText().toString(), false);
        AllNotesActivity.noteDataBase.noteDao().insertNote(note);
    }


    private void setTitleAndBodyTxt() {
        Bundle bundle = getArguments();
        if (bundle != null) {
            titleTxt.setText(bundle.getString("title"));
            bodyTxt.setText(bundle.getString("bodyTxt"));
        }
    }
}