package com.example.mynotepad.MenuFeatures.Calender;

import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;

import com.example.mynotepad.MenuFeatures.Calender.MyCalenderRecyclerView.MyCalenderAdaptor;
import com.example.mynotepad.MenuFeatures.Calender.MyCalenderRecyclerView.TimePicker.DatePickerActivity;
import com.example.mynotepad.MenuFeatures.Calender.MyCalenderRecyclerView.TimePicker.MyDate;
import com.example.mynotepad.MenuFeatures.CustomToolbarOption;
import com.example.mynotepad.R;
import com.google.android.material.floatingactionbutton.FloatingActionButton;

import java.util.ArrayList;
import java.util.List;

public class MyCalenderActivity extends AppCompatActivity implements View.OnClickListener {

    private FloatingActionButton addDateBtn;
    private CustomToolbarOption customToolbarOption;
    private FrameLayout calenderToolbar;
    private LinearLayout allDateListAndTitle;
    private FrameLayout fragPlace;
    private RecyclerView recyclerView;
    private MyCalenderAdaptor myAdaptor;
    private List<MyDate> myDates;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_my_calender);
        init();
    }

    private void init() {

        setAllNoteListAndTitles();
        addDateBtn = findViewById(R.id.addDateButton);

        customToolbarOption = findViewById(R.id.calenderCustomToolbarOption);
        customToolbarOption.setVisibility(View.GONE);
        calenderToolbar = findViewById(R.id.calenderToolbar);
        calenderToolbar.setEnabled(false);
        addDateBtn = findViewById(R.id.addDateButton);
        allDateListAndTitle = findViewById(R.id.allDateListAndTitle);
        fragPlace = findViewById(R.id.fragmentPlace_calender);
        fragPlace.setVisibility(View.GONE);


        // show list with recycler view
        recyclerView = findViewById(R.id.calenderRecyclerView);
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this, LinearLayoutManager.VERTICAL, false);
        myAdaptor = new MyCalenderAdaptor(myDates);
        recyclerView.setAdapter(myAdaptor);
        recyclerView.setLayoutManager(linearLayoutManager);

        addListeners();
    }

    private void addListeners() {
        addDateBtn.setOnClickListener(this);
    }


    @Override
    public void onClick(View view) {
        if (view.getId() == addDateBtn.getId()) {
            addNewDateAndDescription();
        }

    }

    private void addNewDateAndDescription() {
        Intent intent = new Intent(MyCalenderActivity.this, DatePickerActivity.class);
        startActivity(intent);
    }

    private void setAllNoteListAndTitles() {
        myDates = new ArrayList<>();
        //todo get data from database
    }

}